> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account balances by month

> List account balances by month.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /accounts/{account_guid}/monthly_account_balance
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /accounts/{account_guid}/monthly_account_balance:
    get:
      tags:
        - accounts
      summary: List account balances by month
      description: List account balances by month.
      operationId: listAccountBalancesbyMonth
      parameters:
        - name: account_guid
          description: The unique identifier for the account. Defined by MX
          required: true
          in: path
          schema:
            type: string
        - name: from_date
          description: >-
            Return transactions starting from this day, based on the transaction
            date. Defaults to 120 days ago if not provided. Format should be ISO
            8601 format (2013-05-28).
          required: false
          in: query
          schema:
            type: string
        - name: to_date
          description: >-
            Return transactions ending with this day, based on the transaction
            date. Defaults to 5 days forward from the day the request is made so
            as to capture pending transactions. Format should be ISO 8601 format
            (2013-05-28).
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/MonthlyAccountBalanceResponseBody'
components:
  schemas:
    MonthlyAccountBalanceResponseBody:
      properties:
        monthly_account_balances:
          items:
            $ref: '#/components/schemas/MonthlyAccountBalanceResponse'
          type: array
      type: object
    MonthlyAccountBalanceResponse:
      properties:
        account_guid:
          example: ACT-f39a0c33-289a-2832-c2d4-b72f41367f3f
          type: string
          description: Unique identifier for the account. Defined by MX.
        balance:
          example: 2091.11
          type: integer
          description: >-
            The current balance of the account. `PENDING` transactions are
            typically not taken into account with the current balance, but this
            may not always be the case. This is the value used for the account
            balance displayed in MX UIs. The balance will usually be a positive
            value for all account types. Asset-type accounts (`CHECKING`,
            `SAVINGS`, `INVESTMENT`) may have a negative balance if they are in
            overdraft. Debt-type accounts (`CREDIT_CARD`, `LOAN`,
            `LINE_OF_CREDIT`, `MORTGAGE`) may have a negative balance if they
            are overpaid.
        month:
          example: 2
          type: integer
        transaction_total:
          example: 62.93
          type: integer
        user_guid:
          example: USR-c93f457a-2a87-b0d2-6b1b-c1b62073fabf
          type: string
          description: Unique identifier for the user. Defined by MX.
        year:
          example: 2016
          type: integer
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````